<!DOCTYPE html>
<html>
<head lang="en">
    <title th:text="#{create.user}"></title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <link href="../../../resources/css/bootstrap.min.css" rel="stylesheet" media="screen"
          th:href="@{/resources/css/bootstrap.min.css}"/>
    <link href="../../../resources/css/core.css" rel="stylesheet" media="screen" th:href="@{/resources/css/core.css}"/>
    <script src="http://code.jquery.com/jquery-latest.js"></script>
    <script src="../../../resources/js/bootstrap.min.js" th:src="@{/resources/js/bootstrap.min.js}"></script>
</head>
<body>
<div th:replace="fragments/header :: header">&nbsp;</div>
<div class="container">



    <th:block th:if="${message != null}">
        <!--/* The message code is returned from the @Controller */-->
        <div th:replace="fragments/alert :: alert (type=${#strings.toLowerCase(message.type)}, message=#{${message.message}(${#authentication.name})})">&nbsp;</div>
    </th:block>

    <div class="row" style="margin-bottom:50px;">
        <div class="col-md-offset-2 col-md-8">
            <div class="panel panel-success">
                <div class="panel-heading">
                    <h3 class="panel-title">All Users</h3>

                    <button type="submit" class="pull-right btn btn-default">
                        <a href="#" th:href="@{/signup}">Nueva Cuenta</a>
                    </button>

                </div>
                <div class="panel-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr class="btn-success">
                            <th>Name</th>
                            <th>Username</th>
                            <th>Role</th>
                            <th>Operation</th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr th:if="${#lists.isEmpty(accountList)}" class="btn-warning">
                            <td colspan="4" align="center">No Employee Registered Yet!!!</td>
                        </tr>
                        <tr th:each="user : ${accountList}">
                            <td th:text="${user.name}"></td>
                            <td th:text="${user.username}"></td>
                            <td th:text="${user.role}"></td>
                            <td align="center">
                                <a th:href="@{/account/edit/{id}(id=${user.id})}"><span
                                        class="glyphicon glyphicon-edit"></span></a> &nbsp; &nbsp;
                                <a th:href="@{/account/delete/{id}(id=${user.id})}"><span
                                        class="glyphicon glyphicon-trash"></span></a>
                            </td>
                        </tr>

                        </tbody>
                    </table>
                </div>

            </div>
        </div>
    </div>


</div>
<div th:replace="fragments/footer :: ${#authentication.principal.isAdmin()} ? 'footer-admin' : 'footer'">&copy; 2013
    The Static Templates
</div>
</body>
</html>